Package org.springframework.cglib.proxy

# Class Proxy

java.lang.Object
org.springframework.cglib.proxy.Proxy

All Implemented Interfaces:
  `Serializable`

public class Proxy extends Object implements Serializable
This class is meant to be used as replacement for `java.lang.reflect.Proxy` under JDK 1.2. There are some known subtle differences:

- The exceptions returned by invoking `getExceptionTypes` on the `Method` passed to the `invoke` method are the exact set that can be thrown without resulting in an `UndeclaredThrowableException` being thrown.
- `UndeclaredThrowableException` is used instead of `java.lang.reflect.UndeclaredThrowableException`.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected InvocationHandler`
`h`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Proxy(InvocationHandler h)`

## Method Summary

Modifier and Type
Method
Description
`static InvocationHandler`
`getInvocationHandler(Object proxy)`
`static Class`
`getProxyClass(ClassLoader loader, Class[] interfaces)`
`static boolean`
`isProxyClass(Class cl)`
`static Object`
`newProxyInstance(ClassLoader loader, Class[] interfaces, InvocationHandler h)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### h

protected InvocationHandler h

## Constructor Details

### Proxy

protected Proxy(InvocationHandler h)

## Method Details

### getInvocationHandler

public static InvocationHandler getInvocationHandler(Object proxy)

### getProxyClass

public static Class getProxyClass(ClassLoader loader, Class[] interfaces)

### isProxyClass

public static boolean isProxyClass(Class cl)

### newProxyInstance

public static Object newProxyInstance(ClassLoader loader, Class[] interfaces, InvocationHandler h)